import {
  a,
  c
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/ebnf.js
var d = c((m, o) => {
  function i(e) {
    let n = e.COMMENT(/\(\*/, /\*\)/), s = {
      className: "attribute",
      begin: /^[ ]*[a-zA-Z]+([\s_-]+[a-zA-Z]+)*/
    }, t = {
      begin: /=/,
      end: /[.;]/,
      contains: [
        n,
        {
          className: "meta",
          begin: /\?.*\?/
        },
        {
          // terminals
          className: "string",
          variants: [
            e.APOS_STRING_MODE,
            e.QUOTE_STRING_MODE,
            {
              begin: "`",
              end: "`"
            }
          ]
        }
      ]
    };
    return {
      name: "Extended Backus-Naur Form",
      illegal: /\S/,
      contains: [
        n,
        s,
        t
      ]
    };
  }
  a(i, "ebnf");
  o.exports = i;
});

export {
  d as a
};
